Package de.gebit.integrity.string

## Enum FormattedStringElement.FormatFlag

- java.lang.Object
- - java.lang.Enum<FormattedStringElement.FormatFlag>
  - - de.gebit.integrity.string.FormattedStringElement.FormatFlag

- All Implemented Interfaces:
    `Serializable`, `Comparable<FormattedStringElement.FormatFlag>`
  Enclosing class:
    FormattedStringElement

      public static enum FormattedStringElement.FormatFlag
      extends Enum<FormattedStringElement.FormatFlag>

  Several formatting choices for text.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOLD` | Bold-print the text.
    `ITALIC` | Italic-printed text.
    `UNDERLINE` | Underlined text.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEndTag()` |
    `String` | `getStartTag()` |
    `static FormattedStringElement.FormatFlag` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FormattedStringElement.FormatFlag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOLD

          public static final FormattedStringElement.FormatFlag BOLD

      Bold-print the text.

    - #### UNDERLINE

          public static final FormattedStringElement.FormatFlag UNDERLINE

      Underlined text.

    - #### ITALIC

          public static final FormattedStringElement.FormatFlag ITALIC

      Italic-printed text.

  - ### Method Detail

    - #### values

          public static FormattedStringElement.FormatFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormattedStringElement.FormatFlag c : FormattedStringElement.FormatFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormattedStringElement.FormatFlag valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStartTag

          public String getStartTag()

    - #### getEndTag

          public String getEndTag()